[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPCustomImage.SetInternalColor

Set RGBA pixel color.

## Declaration

Source position: fpimage.pp line 116

`protected procedure TFPCustomImage.SetInternalColor(`
`x: Integer;`
`y: Integer;`
`const Value: TFPColor`
`); virtual;`

## Description

This is a virtual method, that translates the RGBA color into the internal pixel format. The default implementation converts the RGBA Value into an palette index, which then is stored in the pixel data. Storage of true RGBA or monochrome colors (not using a palette) has to be implemented in derived classes.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .